/*Custom*/

.products-list-grid{
    -webkit-box-flex: 0 !important;
    -ms-flex: 0 0 33.333333% !important;
    flex: 0 0 33.333333% !important;
    max-width: 33.333333% !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
    /* width: fit-content; */
    padding-right: 5px !important;
}

@media screen and (max-width: 768px) {
  .products-list-grid{
    -webkit-box-flex: 0 !important;
    -ms-flex: 0 0 50% !important;
    flex: 0 0 50% !important;
    max-width: 50% !important;
  }
}


.col-12.description p{
    width:100%;
}
.col-12.description p img{
    width:100%;
}
.swiper-slide-custom{
    flex-shrink: 0;
    width: 25%;
    height: 100%;
    position: relative;
    transition-property: transform;
}

/* PRODUCTS SLIDER*/
  .ps-product {
    position: relative;
    overflow: hidden;
    /*padding: 20px;*/
  }
  
  .ps-product-category {
    padding: 0 6vw 0 2.5vw;
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 40px;
    text-transform: capitalize;
  }
  
  .ps-product-container {
    padding: 0 6vw 0 2.5vw;
    display: flex;
    overflow-x: hidden;
    scroll-behavior: smooth;
    overflow-y: hidden;
    user-select: none;
   -moz-user-select: none;
   -webkit-user-select: none;
   -ms-user-select: none;
  }

  
  .ps-product-container::-webkit-scrollbar {
    display: none;
  }
  
  .ps-product-card {
    flex: 0 0 auto;
    width: 25%;
    /*height: 500px;*/
    height: 100%;
    /*margin-right: 20px;*/
    margin-bottom: 5px;
    /*border: 1px solid rgba(0, 0, 0, 0.1);*/
  }



  .ps-product-card .rating-sm {
    font-size: 14px !important;
    padding-bottom: 3px;
    padding-top: 3px;
 }
  
  .ps-product-image .add-fav{
    background-color: transparent;
    z-index: 2;
    top: 0;
    right: 0;
    position: absolute;
    overflow: hidden;
    border-bottom-left-radius: 58px 58px;
}

.ps-product-image .add-fav>button{
    color: #737373;
    font-size: 1.2rem;
    padding-left: 11px;
    padding-right: 6px;
    background: transparent;
}
  
  .ps-product-image {
    position: relative;
    height: 200px;
    overflow: hidden;
    display: block;
  }

  .ps-product-image .social {
    display:none;
    width: 150px;
    padding: 0;
    margin: 0;
    list-style: none;
    opacity: 0;
    transform: translateY(-50%) translateX(-50%);
    position: absolute;
    top: 60%;
    left: 50%;
    z-index: 1;
    transition: all 0.3s ease 0s;
}

  .ps-product-thumb {
    width: 100%;
    height: 100%;
    object-fit: contain;
    /*aspect-ratio: 4/3;*/
  }
  
  .ps-discount-tag {
    position: absolute;
    background: #fff;
    padding: 5px;
    border-radius: 5px;
    color: #ff7d7d;
    right: 10px;
    top: 10px;
    text-transform: capitalize;
  }
  
  .ps-card-btn {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    width: 90%;
    text-transform: capitalize;
    border: none;
    outline: none;
    background: #fff;
    border-radius: 5px;
    transition: 0.5s;
    cursor: pointer;
    opacity: 0;
  }
  
  .ps-product-card:hover .ps-card-btn {
    opacity: 1;
  }
  
  .ps-card-btn:hover {
    background: #ff7d7d;
    color: #fff;
  }
  
  .ps-product-info {
    /*width: 100%;
    height: 100%;*/
    /*padding-top: 10px;*/
    text-align: center;
    /*padding-bottom: 30px;*/
  }
  
  .ps-product-info .title{
      font-size: 18px !important;
      padding-top: 10px;
  }
  
  .ps-product-info .date{
      font-size: 14px !important;
  }
  
  .ps-product-info #price{
      font-size: 18px !important;
      color: #f37021;
      font-weight: bold;
  }
  
  .ps-product-info .mb-2.mt-2{
      margin: 6px !important;
  }
  
  .ps-product-brand {
    text-transform: uppercase;
  }
  
  .ps-product-short-description {
    width: 100%;
    height: 20px;
    line-height: 20px;
    overflow: hidden;
    opacity: 0.5;
    text-transform: capitalize;
    margin: 5px 0;
  }
  
  .ps-price {
    font-weight: 900;
    font-size: 20px;
  }
  
  .ps-actual-price {
    margin-left: 20px;
    opacity: 0.5;
    text-decoration: line-through;
  }
  
  .ps-pre-btn,
  .ps-nxt-btn {
    border: none;
    width: 2vw;
    height: 100%;
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #fff;/*linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, #fff 100%);*/
    cursor: pointer;
    z-index: 8;
    display: none;
  }
  
  .ps-pre-btn {
    left: 0;
    transform: rotate(180deg);
  }
  
  .ps-nxt-btn {
    right: 0;
  }
  
  .ps-pre-btn img,
  .ps-nxt-btn img {
    opacity: 0.2;
  }
  
  .ps-pre-btn:hover img,
  .ps-nxt-btn:hover img {
    opacity: 1;
  }
  
  .ps-collection-container {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 10px;
  }
  
  .ps-collection {
    position: relative;
  }
  
  .ps-collection img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  
  .ps-collection p {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    color: #fff;
    font-size: 50px;
    text-transform: capitalize;
  }
  
  .ps-collection:nth-child(3) {
    grid-column: span 2;
    margin-bottom: 10px;
  }
  
  .product-new-label, .product-discount-label{
      display: none;
  }
  
  .ps-product-list-card{
      width: unset !important;
      margin-bottom: 0px !important;
      padding-bottom: 0px !important;
  }
  
  @media screen and (max-width: 1400px){
    .ps-product-list-card{
      width: unset !important;
    }
    .ps-image-slider-container .ps-product-card {
        width: 25% !important;
      }
  }
  
  @media screen and (max-width: 1200px){
    .ps-product-list-card{
      width: unset !important;
    }
    .ps-image-slider-container .ps-product-card {
        width: 50% !important;
      }
  }
  
  @media screen and (max-width: 1400px){
    .ps-product-card {
        flex: 0 0 auto;
        width: 34%;
        /*height: 500px;*/
        height: 100%;
        /*margin-right: 20px;*/
        /*border: 1px solid rgba(0, 0, 0, 0.1);*/
      }
  }

  @media screen and (max-width: 1200px){
    .ps-product-card {
        flex: 0 0 auto;
        width: 50%;
        /*height: 500px;*/
        height: 100%;
        /*margin-right: 20px;*/
        /*border: 1px solid rgba(0, 0, 0, 0.1);*/
      }
  }

  @media screen and (min-width: 381px) and (max-width: 600px){
    .ps-product-card {
        flex: 0 0 auto;
        width: 50%;
        /*height: 320px;*/
        height: 100%;
        /*margin-right: 20px;*/
        /*border: 1px solid rgba(0, 0, 0, 0.1);*/
      }
      .ps-product-image {
        position: relative;
        overflow: hidden;
      }
      .ps-product-info .title{
          font-size: 14.5px !important;
      }
      
      .ps-product-info .date{
          font-size: 12.5px !important;
      }
      
      .ps-product-info #price{
          font-size: 12.5px !important;
      }
  }
  
  @media screen and (max-width: 380px){
    .ps-product-card {
        flex: 0 0 auto;
        width: 50%;
        /*height: 320px;*/
        height: 100%;
        /*margin-right: 20px;*/
        /*border: 1px solid rgba(0, 0, 0, 0.1);*/
      }
      .ps-product-image {
        position: relative;
        overflow: hidden;
      }
      .ps-product-info .title{
          font-size: 13px !important;
      }
      
      .ps-product-info .date{
          font-size: 12px !important;
      }
      
      .ps-product-info #price{
          font-size: 12px !important;
      }
  }

.container-fluid.filter-section .row.w-100{
    padding-right: 5px !important;
    margin-left: 5px !important;
}

.container-fluid.filter-section .col-12.pl-0{
    padding-right: 0px !important;
}

.sort-by {
    padding-right: 15px !important;
    padding-left: 12px !important;
    padding-top: 0px !important;
}

/*Custom Slider*/
#home-slider{
    overflow: hidden;
    /* max-height: 800px; */
    padding-top: 5px;
    /*max-height: 100%;*/
    width: 100%;
    display: flex;
    padding-left: 0px;
    padding-right: 0px;
}

.home-slider-figure img{
    width: 100%;
    object-fit: fill;
    height: 100%;
    float: left;
    aspect-ratio: 21/9;
}

.home-slider-figure{
    position:relative;
    /*width: 500%;
    height: 100%;*/
    margin: 0;
    left: 0;
    text-align: left;
    font-size: 0;
    transition: transform .4s ease-in-out;
    flex: 0 0 100%;
}

.home-slider-figure.active{
    transition: transform .4s ease-in-out;
}


/*Custom End*/
.featured-section-title h3 {
    font-size:24px;
    color: #2d2a2a;
    font-weight: 600;
    line-height: 1.4;
}


.featured-section-title .title-sm {
    font-size: 16px;
    color: #6a6a6a;
    font-weight: 500;
    margin-left: 0px;
}

.featured-section-view-more {
    float: right;
    font-size: 14px;
}

.centered-featured-section-view-more {
    float: none !important;
}

.seller-image-container {
    max-width: 195px;
    height: 230px;
    margin: initial;
    margin-right: 20px;
    position: relative;
    vertical-align: middle;
    line-height: 230px;
}
.seller-image-container img{
    max-width: 100%;
    max-height: 100%;
}
.product-image-container {
    max-width: 100%;
    height: 230px;
    margin: auto;
    position: relative;
    vertical-align: middle;
    line-height: 230px;
}

.filter-sidebar-view{
    display: block;
    /*position: fixed;
    width: 100%;
    z-index: 3;*/
}

@media screen and (max-width: 999px){
    .filter-sidebar-view{
        display: none;
    }
    .filter-nav.js-filter-nav.filter-nav-sm{
        display: none;
    }
    .filter-nav.js-filter-nav.filter-nav-sm.open{
        display: block;
    }
}

.filter-nav__list.js-filter-nav__list.show .mt-0{
    display: none;
}



/*
.swiper-container.product-image-swiper.swiper-container-initialized.swiper-container-horizontal .swiper-wrapper .swiper-slide{
    width:300px !important;
}


@media screen and (min-width: 600px){
    .swiper-container.product-image-swiper.swiper-container-initialized.swiper-container-horizontal .swiper-wrapper .swiper-slide{
        width:280px !important;
    }
}

@media screen and (min-width: 400px){
    .swiper-container.product-image-swiper.swiper-container-initialized.swiper-container-horizontal .swiper-wrapper .swiper-slide{
        width:240px !important;
    }
}
*/

.product-grid {
    font-family: Raleway, sans-serif;
    text-align: center;
    padding: 0 0 81px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    overflow: hidden;
    position: relative;
    z-index: 1;
    margin-left: 10px;
    margin-right: 10px;
}

.product-grid .product-image {
    position: relative;
    transition: all 0.3s ease 0s;
    width: 100%;
    margin: auto;
}

.product-grid .rating-sm {
    font-size: 14px !important;
}

.product-grid .product-image img {
    object-fit:contain;
    width: 100%;
    /*height: 300px;*/
    height: 100%;
}

.product-grid .swiper-slide img {
    width: 100%;
}

/*
.swiper-slide-active{
    width: 350.5px !important;
}

.swiper-slide-next{
    width: 350.5px !important;
}
*/
.product-grid .swiper-slide {
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

.product-grid .pic-1 {
    opacity: 1;
    transition: all 0.3s ease-out 0s;
}

.product-grid:hover .pic-1 {
    opacity: 1;
}

.product-grid .pic-2 {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    transition: all 0.3s ease-out 0s;
}

.product-grid:hover .pic-2 {
    opacity: 1;
}

.product-grid .social {
    display:none;
    width: 150px;
    padding: 0;
    margin: 0;
    list-style: none;
    opacity: 0;
    transform: translateY(-50%) translateX(-50%);
    position: absolute;
    top: 60%;
    left: 50%;
    z-index: 1;
    transition: all 0.3s ease 0s;
}

.product-grid:hover .social {
    opacity: 1;
    top: 50%;
}

.product-grid .social li {
    display: inline-block;
}

.product-grid .social li a {
    color: #fff;
    background-color: #333;
    font-size: 16px;
    line-height: 40px;
    text-align: center;
    height: 40px;
    width: 40px;
    margin: 0 2px;
    display: block;
    position: relative;
    transition: all 0.3s ease-in-out;
}

.product-grid .social li a:hover {
    color: var(--font-color) !important;
    background-color: var(--secondary-color);
}

.product-grid .social li a:after,
.product-grid .social li a:before {
    content: attr(data-tip);
    color: #fff;
    background-color: #000;
    font-size: 12px;
    letter-spacing: 1px;
    line-height: 20px;
    padding: 1px 5px;
    white-space: nowrap;
    opacity: 0;
    transform: translateX(-50%);
    position: absolute;
    left: 50%;
    top: -30px;
}

.product-grid .social li a:after {
    content: '';
    height: 15px;
    width: 15px;
    border-radius: 0;
    transform: translateX(-50%) rotate(45deg);
    top: -20px;
    z-index: -1;
}

.product-grid .social li a:hover:after,
.product-grid .social li a:hover:before {
    opacity: 1;
}

.product-grid .product-discount-label,
.product-grid .product-new-label {
    color: #fff;
    background-color: #ef5777;
    font-size: 12px;
    text-transform: uppercase;
    padding: 2px 7px;
    display: block;
    position: absolute;
    top: 10px;
    left: 0;
}

.product-grid .product-discount-label {
    background-color: #333;
    left: auto;
    left: 0;
    top: 38px;
}

.product-wishlist {
    right: 0;
    top: 10px;
    position: absolute;
}

.product-grid .rating {
    color: #ffd200;
    font-size: 12px;
    padding: 12px 0 20px;
    margin: 0;
    list-style: none;
    position: relative;
    z-index: -1;
}

.product-grid .rating li.disable {
    color: rgba(0, 0, 0, 0.2);
}

.product-grid .product-content {
    background-color: #fff;
    text-align: center;
    padding: 0px 0 5px;
    margin: 0 auto;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 4px;
    z-index: 1;
    transition: all 0.3s;
}

.product-grid:hover .product-content {
    bottom: 8px;
}

.product-grid .title {
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.5px;
    text-transform: capitalize;
    margin: auto;
    transition: all 0.3s ease 0s;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-left: 4px;
    margin-top: 6px;
}

.title a {
    color: #031838;
}

.product-grid .title a:hover {
    color: #0a78cc;
}

.product-grid:hover .title a {
    color: #0a78cc;
}

.product-grid .price {
    color: #333;
    font-size: 16px;
    font-family: Montserrat, sans-serif;
    font-weight: 505;
    letter-spacing: 0.6px;
    margin-bottom: 3px;
    text-align: center;
    transition: all 0.3s;
    padding-top: 8px;
    padding-bottom: 8px;
}

.list-view-price {
    color: #333;
    font-size: 16px;
    font-family: Montserrat, sans-serif;
    font-weight: 700;
    letter-spacing: 0.6px;
    margin-bottom: 0px;
    transition: all 0.3s;
}

.product-grid .price span,
.striped-price {
    color: red;
    font-size: 13px;
    font-weight: 400;
    text-decoration: line-through;
    margin-left: 3px;
    display: inline-block;
}

.add-to-cart {
    color: var(--font-color) !important;
    font-size: 12px;
    font-weight: 600;
    padding: 5px 15px;
    background: #0e7dd1;
}


/* add-to-cart*/

.product-image-swiper .add-fav,
.product-style-1 .add-fav,
.product-style-2 .add-fav {
    background-color: #fff;
    z-index: 2;
    top: 0;
    right: 0;
    position: absolute;
    overflow: hidden;
    border-bottom-left-radius: 58px 58px;
}

.product-image-swiper .add-fav>button,
.product-style-1 .add-fav>button,
.product-style-2 .add-fav>button {
    color: #adadad;
    font-size: 0.9rem;
    padding-left: 11px;
    padding-right: 6px;
    background: white;
}


/* product-style-default */

.product-style-default .product-image {
    height: 100%;
}

.product-style-default .product-image .product-image-container {
    height: 100%;
}


/*  product-style-1  */

.product-style-1 {
    margin: auto;
    padding-bottom: 60px !important;
}

.product-style-1 .product-grid {
    margin-top: 5px !important;
}

.product-style-1 .col-4 {
    padding: 0px;
}

.product-style-1 .product-image {
    height: 140px;
}

.product-style-1 .product-image-container {
    max-width: 100px;
    height: 125px;
    margin: auto;
    position: relative;
    line-height: 145px;
}

.product-style-1 .add-fav>button {
    font-size: 1.0rem;
}

.style-3-product-right-lg .product-grid {
    height: 100%;
    top: 35px;
    border: 1px solid rgb(14 125 209);
}

.style-3-product-right-lg .product-grid .product-image {
    height: 90%;
}

.style-3-product-right-lg .product-grid .product-image-container {
    height: 100%;
    max-width: 100%;
}

.style-3-product-right-lg .product-image-container img {
    width: 100%;
}


/*  product-style-2  */

.product-style-2 {
    background-color: transparent !important;
    box-shadow: none;
}

.product-style-2 .product-grid {
    background-color: #fff !important;
    width: 100%;
    height: 365px;
}

.product-style-2 div[class^="col"] {
    padding: 0px;
}

.product-style-2 .add-fav>button {
    font-size: 1.0rem;
}

.product-style-2 .section-title {
    padding-top: 40px;
    padding-bottom: 30px;
    margin-left: auto;
    margin-right: auto;
}

.product-style-2 .product-image {
    height: 220px;
}

.product-style-2 .product-image-container {
    height: 180px;
}

.product-style-2 .title-sm {
    margin-left: auto;
    margin-right: auto;
}

.product-style-2 .title-sm {
    margin-left: auto;
    margin-right: auto;
    line-height: initial;
}

.product-style-2 .featured-section-view-more {
    padding-top: 40px;
    padding-bottom: 30px;
    margin-left: auto;
    margin-right: auto;
    float: none !important;
    line-height: initial;
}

.product-style-2 .featured-section-title {
    padding-left: 10px;
}

.product-style-2 .featured-section {
    height: 226.5px;
}

@media only screen and (max-width: 600px) {
    .product-grid {
        margin-bottom: 30px;
    }
    .product-style-2 .product-grid {
        margin-bottom: 0px !important;
    }
    .product-style-1-left .featured-section-title {
        padding-top: 35px;
    }
}

@media only screen and (max-width: 990px) {
    .product-grid {
        margin-bottom: 30px;
    }
}


/* dark mode styling */

.darkmode--activated .price {
    color: #ffffff;
}

.darkmode--activated .product-grid {
    border: 1px solid #1d1c1c;
    background-color: #131313 !important;
}

.darkmode--activated .add-fav>button,
.darkmode--activated .add-fav {
    color: #a2a2a2;
    background: #191919;
}

.darkmode--activated .social li a,
.darkmode--activated .product-discount-label {
    background-color: #191919;
}

.darkmode--activated .title-sm {
    color: #b1a2a2;
}